Page MenuHomePhabricator

Toolserver redirect configuration broken after domain move
Closed, ResolvedPublic

Description

After the move I noticed that http://toolserver.org/~erfgoed stopped redirecting traffic to http://tools.wmflabs.org/heritage/ . I checked my backup and the old homedir did contain an .htaccess file. Another MMP (multi maintainer project) (~locator) also stopped redirecting. Maybe the dump Marc got didn't include the MMP's? Please find out what is missing and correct this.

Event Timeline

Multichill assigned this task to coren.
Multichill raised the priority of this task from to High.
Multichill updated the task description. (Show Details)
Multichill added subscribers: Aklapper, Multichill, Nosy79, silke.
yuvipanda set Security to None.
coren added a comment.Dec 22 2014, 8:57 PM

It's indeed a little worrying that both of the missing redirect do come from MMPs. I've added the redirect from /~erfgoed/

Where was /~locator/ supposed to redirect to?

Rather simpel, to tools.wmflabs.org/locator/

Coren: https://toolserver.org/~nlwikibots is also broken (was also an MMP), but that's not really a huge issue. It was a redirect to https://tools.wmflabs.org/nlwikibots (which then redirects to the current project page on nlwiki)

coren added a comment.Dec 22 2014, 9:10 PM

Both of those added.

yuvipanda lowered the priority of this task from High to Medium.Jan 12 2015, 7:52 AM
yuvipanda added subscribers: coren, yuvipanda.

@coren: Can we put the redirects on a git repo somewhere? The web redirects shouldn't be private info, I think.

This is a rather severe bug. Does WMF have copies of the user/project .htaccess files?

scfc closed this task as Resolved.Apr 6 2015, 1:35 AM
scfc added a subscriber: scfc.

The two URLs mentioned in this task now redirect properly, and putting the configuration into a Git repository is covered by T85165. I assume the column change to "Waiting for information" was accidental.

Multichill reopened this task as Open.Apr 6 2015, 6:59 AM
Multichill changed the task status from Open to Stalled.

This is not resolved, just stalled.

scfc added a comment.Apr 6 2015, 9:50 AM

If you are keen on not saying much, you don't have to say anything. The information that you think "this is not resolved, just stalled" is already conveyed by Phabricator:

silke removed a subscriber: silke.Apr 7 2015, 8:06 AM
coren closed this task as Resolved.Nov 16 2015, 9:19 PM

This has been resolved for quite some time but, like its sub task, forgotten in open state.